Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Class AnnotationBuilder

    java.lang.Object
      org.apache.openjpa.persistence.AnnotationBuilder

    public class AnnotationBuilder

extends Object

Helper class to stringify annotation declarations.

Since:
  1.0.0
Author:
  Gokhan Ergul

Nested Class Summary
`(package private) class` | `AnnotationBuilder.AnnotationEntry`

Constructor Summary
`protected` | `AnnotationBuilder(Class<? extends Annotation> type)`

Method Summary
`AnnotationBuilder` | `add(String key, AnnotationBuilder val)`
`AnnotationBuilder` | `add(String key, boolean val)`
`AnnotationBuilder` | `add(String key, Class val)`
`AnnotationBuilder` | `add(String key, Enum val)`
`AnnotationBuilder` | `add(String key, EnumSet val)`
`AnnotationBuilder` | `add(String key, int val)`
`AnnotationBuilder` | `add(String key, String val)`
`(package private) static String` | `enumSetToString(EnumSet set)`
`(package private) static String` | `enumToString(Enum e)`
`Class<? extends Annotation>` | `getType()`
`boolean` | `hasComponents()`
`String` | `toString()`
`protected void` | `toString(StringBuilder sb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotationBuilder

    protected AnnotationBuilder(Class<? extends Annotation> type)

Method Detail

### getType

    public Class<? extends Annotation> getType()

### add

    public AnnotationBuilder add(String key,
                                 String val)

### add

    public AnnotationBuilder add(String key,
                                 boolean val)

### add

    public AnnotationBuilder add(String key,
                                 int val)

### add

    public AnnotationBuilder add(String key,
                                 Class val)

### add

    public AnnotationBuilder add(String key,
                                 EnumSet val)

### add

    public AnnotationBuilder add(String key,
                                 Enum val)

### add

    public AnnotationBuilder add(String key,
                                 AnnotationBuilder val)

### hasComponents

    public boolean hasComponents()

### enumToString

    static String enumToString(Enum e)

### enumSetToString

    static String enumSetToString(EnumSet set)

### toString

    protected void toString(StringBuilder sb)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.